TemplateService (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client

## Interface TemplateService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    TemplateServiceImpl

      @RemoteServiceRelativePath(value="TemplateGenServlet")
      public interface TemplateService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getUserAndScope()` each portlet instance runs in a scope each portlet instance is used by a unique username from within the portal
    `String[]` | `getUserTemplateNames()`
    `org.gcube.portlets.d4sreporting.common.shared.Model` | `readModel(String templateName, String templateObjectID, boolean isImporting)`
    `org.gcube.portlets.d4sreporting.common.shared.Model` | `readTemplateFromSession()`
    `void` | `renewHTTPSession()`
    `void` | `saveTemplate(String basketidToSaveIn, org.gcube.portlets.d4sreporting.common.shared.Model model)`
    `void` | `storeTemplateInSession(org.gcube.portlets.d4sreporting.common.shared.Model model)`

- - ### Method Detail

    - #### saveTemplate

          void saveTemplate(String basketidToSaveIn,
                          org.gcube.portlets.d4sreporting.common.shared.Model model)

      Parameters:
        `model` - .

    - #### getUserTemplateNames

          String[] getUserTemplateNames()

      Returns:
        .

    - #### readModel

          org.gcube.portlets.d4sreporting.common.shared.Model readModel(String templateName,
                                                                      String templateObjectID,
                                                                      boolean isImporting)

      Parameters:
        `templateName` - .
      Returns:
        .

    - #### getUserAndScope

          String[] getUserAndScope()

      each portlet instance runs in a scope each portlet instance is used by a unique username from within the portal
      Returns:
        a String[2] containing the username in [0] and the scope in [1]

    - #### storeTemplateInSession

          void storeTemplateInSession(org.gcube.portlets.d4sreporting.common.shared.Model model)

      Parameters:
        `model` - .

    - #### readTemplateFromSession

          org.gcube.portlets.d4sreporting.common.shared.Model readTemplateFromSession()

      Returns:
        the model previously stored in the session

    - #### renewHTTPSession

          void renewHTTPSession()

Copyright © 2013. All Rights Reserved.